cURL
curl -X DELETE "https://production.runalloy.com/workflows/{workflowId}?userId={{userId}}" \
-H "Authorization: bearer YOUR_API_KEY" \
-H "x-api-version: 2025-09"
import requests
url = "https://production.runalloy.com/workflows/{workflowId}"
params = {"userId": "{{userId}}"}
headers = {
"Authorization": "bearer YOUR_API_KEY",
"x-api-version": "2025-09"
}
response = requests.delete(url, params=params, headers=headers)
print(response.json())
const userId = "{{userId}}";
const workflowId = "{workflowId}";
const url = `https://production.runalloy.com/workflows/${workflowId}?userId=${userId}`;
fetch(url, {
method: "DELETE",
headers: {
"Authorization": "bearer YOUR_API_KEY",
"x-api-version": "2025-09"
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));

{
"deleted": true
}Workflows
Delete a workflow
Deletes a workflow for a specific user. This endpoint does not delete a workflow for all users.
DELETE
/
workflows
/
{workflowId}
cURL
curl -X DELETE "https://production.runalloy.com/workflows/{workflowId}?userId={{userId}}" \
-H "Authorization: bearer YOUR_API_KEY" \
-H "x-api-version: 2025-09"
import requests
url = "https://production.runalloy.com/workflows/{workflowId}"
params = {"userId": "{{userId}}"}
headers = {
"Authorization": "bearer YOUR_API_KEY",
"x-api-version": "2025-09"
}
response = requests.delete(url, params=params, headers=headers)
print(response.json())
const userId = "{{userId}}";
const workflowId = "{workflowId}";
const url = `https://production.runalloy.com/workflows/${workflowId}?userId=${userId}`;
fetch(url, {
method: "DELETE",
headers: {
"Authorization": "bearer YOUR_API_KEY",
"x-api-version": "2025-09"
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));

{
"deleted": true
}Headers
The version of the API to use. The current API version is 2025-09.
Path Parameters
The Id of the workflow to delete
Query Parameters
The Id of the user you want to lookup. Returned from the Create User endpoint. Note: you can also use the Embedded user's username in this field.
Response
200 - application/json
200
Example:
true
⌘I

